Package com.xebialabs.xlrelease.domain.calendar

# Class CalendarEntry

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.calendar.CalendarEntry

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `Blackout`, `SpecialDay`

@Metadata(description="Base class for all calendar entries", root=CONFIGURATION, versioned=false, virtual=true) public abstract class CalendarEntry extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Date`
  `endDate`
  `protected String`
  `label`
  `protected Date`
  `startDate`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getEndDate()`
  `String`
  `getLabel()`
  `Date`
  `getStartDate()`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setLabel(String label)`
  `void`
  `setStartDate(Date startDate)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### label

    @Property(description="The label of the calendar event.") protected String label

  - ### startDate

    @Property(description="The start date and time of the calendar event.") protected Date startDate

  - ### endDate

    @Property(description="The end date and time of the calendar event.") protected Date endDate

- ## Constructor Details

  - ### CalendarEntry

    public CalendarEntry()

- ## Method Details

  - ### getLabel

    public String getLabel()

  - ### setLabel

    public void setLabel(String label)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)